org.apache.ignite.internal.util.lang

## Class GridInClosure3X<E1,E2,E3>

- java.lang.Object
- - org.apache.ignite.internal.util.lang.GridInClosure3X<E1,E2,E3>

All Implemented Interfaces:
  GridInClosure3<E1,E2,E3>

Direct Known Subclasses:
  CIX3

    public abstract class GridInClosure3X<E1,E2,E3>
    extends Object
    implements GridInClosure3<E1,E2,E3>

Convenient in-closure subclass that allows for thrown grid exception. This class implements `apply(Object, Object, Object)` method that calls `applyx(Object, Object, Object)` method and properly wraps `IgniteCheckedException` into `GridClosureException` instance.

See Also:
  `CIX3`

### Constructor Summary

Constructors
Constructor and Description
`GridInClosure3X()`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`void` `apply(E1 e1, E2 e2, E3 e3)` Closure body.
`abstract void` `applyx(E1 e1, E2 e2, E3 e3)` In-closure body that can throw `IgniteCheckedException`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GridInClosure3X

    public GridInClosure3X()

### Method Detail

#### apply

    public void apply(E1 e1,
                      E2 e2,
                      E3 e3)

Closure body.

Specified by:
  `apply` in interface `GridInClosure3<E1,E2,E3>`
Parameters:
  `e1` - First bound free variable, i.e. the element the closure is called or closed on.
  `e2` - Second bound free variable, i.e. the element the closure is called or closed on.
  `e3` - Third bound free variable, i.e. the element the closure is called or closed on.

#### applyx

    public abstract void applyx(E1 e1,
                                E2 e2,
                                E3 e3)
                         throws IgniteCheckedException

In-closure body that can throw `IgniteCheckedException`.

Parameters:
  `e1` - First variable the closure is called or closed on.
  `e2` - Second variable the closure is called or closed on.
  `e3` - Third variable the closure is called or closed on.
Throws:
  `IgniteCheckedException` - Thrown in case of any error condition inside of the closure.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.10.0
Release Date | : March 10 2021